
Figure - Bug #111436
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110877 (New): BSP-BVT测试-MCU

【BSP】【EVT】【MCU】【必现】MCU升级完成后，未自动掉电重启
2022-08-24 20:17 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-08-24

Priority: High Due date:

Assignee: SZ BSP-徐季源 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0.0.0.20220824_alpha_private_userdebug

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause:

Description

前置条件：

1、MCU和SOC端串口通信已调通

2、板子为新的硬件改动过的

3、mcu的bin文件已经push到对应目录

操作步骤：

1、手动安装McuUpdate.apk

2、启动McuUpgrade，点击绑定串口服务后等待5s，再次点击发送请求升级指令

3、shell内执行logcat | grep -iE "UPG-|uart"查看升级log

实际结果：

1、mcu升级完成后，不会自动掉电重启

预期结果：

1、mcu升级完成后，可以自动掉电重启

History

#1 - 2022-08-24 20:35 - SZTS_TEST 邹涛

- Priority changed from Normal to High

#2 - 2022-08-29 10:09 - SZ BSP-徐季源

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

现版本使 865 关机（例如，adb reboot ）可以触发 MCU 重启。

#3 - 2022-08-30 17:50 - SZTS_TEST 邹涛

0.0.0.20220830_alpha_private_userdebug 版本验证问题已经修复

#4 - 2022-08-30 17:51 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED
#5 - 2022-08-30 17:51 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

#6 - 2022-09-14 11:56 - CD TPM-申艳艳

- Category set to BSP

Files

logcat.txt 68.6 KB 2022-08-24 SZTS_TEST 邹涛
